export type MonetaryData = {
  monetaryMass: string;
  membersCount: number;
  amount: string;
  timestamp: string;
  blockNumber: number;
  udBlockNumbers: number[];
};

export interface DuniterAdapter {
  fetchMonetary(): Promise<MonetaryData>;
  fetchMemberPubkeys(): Promise<string[]>;
  fetchMemberJoinBlocks(pubkeys: string[]): Promise<Map<string, number>>;
}
